Close shared memory block

- « Shared Memory Functions

- shmop_delete »

- PHP Manual
- Shared Memory Functions
- Close shared memory block

# shmop_close

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

shmop_close — Close shared memory block

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

shmop_close(Shmop `$shmop`): void

> Note:

> This function has no effect. Prior to PHP 8.0.0, this function was used to close the resource.

shmop_close() is used to close a shared memory block.

### Parameters

`shmop`

  The shared memory block resource created by shmop_open()

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `shmop` expects a Shmop instance now; previously, a resource was expected.

### Examples

Example #1 Closing shared memory block

    <?phpshmop_close($shm_id);?>

This example will close shared memory block identified by `$shm_id`.

### See Also

- shmop_open() - Create or open shared memory block